
figure(4); clf; hold on;

log = logsout;

for i = 1:2
    subplot(2,1,i); hold on; grid on;
    
    % Plot from log
    plot(observed_pos.Time, observed_pos.Data(:,i), 'b');
    plot(log.get('meas_pos').Values.Time, log.get('meas_pos').Values.Data(:,i), '*');
    
    % Reds the invalid stuff
    thePos = log.get('meas_pos').Values.Data(:,i);
    theTime = log.get('meas_pos').Values.Time;
    invalid = thePos(log.get('pos_valid').Values.Data == 0);
    invalidTime = theTime(log.get('pos_valid').Values.Data == 0);
    
    plot(invalidTime, invalid, '*r');
    
    
    %
    %   Plot from CPU
    %
    plot(log.get('cpu_obs_pos').Values.Time, log.get('cpu_obs_pos').Values.Data(:,i), '-.b');
    
    invalid = thePos(log.get('wildpoint').Values.Data == 1);
    invalidTime = theTime(log.get('wildpoint').Values.Data == 1);
    
    plot(invalidTime, invalid, 'or');
    
%     
%     plot(log.get('obs_pos').Values.Time, log.get('obs_pos').Values.Data(:,i), 'b');
%     plot(log.get('meas_pos').Values.Time, log.get('meas_pos').Values.Data(:,i), '*');
%     plot(log.get('means').Values.Time, log.get('means').Values.Data(:,i), 'g');
%     
%     
%     
%     plot(invalidTime, invalid, '*r');
    
    legend('CPU observed', 'Observed', 'Measured');
end