%% Get data
[data, filename] = getBBLog();  % gets the newest from Njord
dataCell = {};
dataCell{1} = data;
dirs = {'W:\', 'V:\', 'U:\'};

copy = 1;

logCell = {};
parseLog;
logCell{1} = log;

if copy
    copyfile(['Z:\' filename], ['important_logs/1/' filename]);
end

for i = 1:length(dirs) 
    try
        data = getBBLog(filename, dirs{i});
        if copy
            copyfile([dirs{i} filename], ['important_logs/' num2str(i+1) '/' filename]);
        end
    catch ex
        disp(ex.message);
        continue
    end
    
    % if ok, store
    dataCell{end+1} = data;
    parseLog;
    logCell{end+1} = log;
    
end

%%

% Get data from log simiulator init
Simulator_log_init;

%%
% Add to datastruct array
% NOT ACTUALLY USED DUMMY!!!!
% log = Simulink.SimulationData.Dataset;
% 
% log = log.addElement(simdata);
% log = log.addElement(arefdata);
% log = log.addElement(observed_pos);
% log = log.addElement(observed_heading);
% log = log.addElement(obstacle);
% log = log.addElement(obstacles);
% log = log.addElement(target);
% log = log.addElement(nsb_v_target);
% log = log.addElement(nsb_v_obstacle);
% log = log.addElement(nsb_active_obstacle);
% log = log.addElement(nsb_v);
% 
% realLog = Simulink.SimulationData.Dataset;
% for i = 1:log.numElements
%     entry = log.getElement(i);
%     
%     signal = repmat(Simulink.SimulationData.Signal, size(entry));
%     
%     if(size(entry, 2) > 1)
%         for j = 1:size(entry, 2)
%             signal(j).Values = entry(j);
%             signal(j).Name = entry(j).Name;
%         end
% 
%     else
%         signal.Values = entry;
%         signal.Name = entry.Name;
%     end
%     realLog = realLog.addElement(signal);
% end

%%
CTRLconfig.N = 1;
CTRLconfig.obstacle_d = 0.2-0.02;
CTRLconfig.collision_d = 0.38;

clear exportStruct;

exportStruct.doExport = 0;
exportStruct.name     = 'Comoro_nsb';
exportStruct.timeSlots= [12.6];
exportStruct.doExtra  = [1];




plotSimulation(CTRLconfig, logCell, figure(1), exportStruct);