logRootPath = '../';

nRobots = 2;

filename = 'log-2013-05-06_15-58-47.txt';




%% Get data
[data, filename] = getBBLog(filename, [logRootPath '1/']);  % gets the newest from Njord
dataCell = {};
dataCell{1} = data;
dirs = {};
for i = 1:nRobots-1
   dirs{i} = [logRootPath num2str(i+1) '\']; 
end



logCell = {};
parseLog;
logCell{1} = log;

for i = 1:length(dirs) 
    try
        data = getBBLog(filename, dirs{i});
    catch ex
        disp(ex.message);
        continue
    end
    
    % if ok, store
    dataCell{end+1} = data;
    parseLog;
    logCell{end+1} = log;
    
end



%% Plot
CTRLconfig.N = 2;
CTRLconfig.obstacle_d = 0.2-0.02;
CTRLconfig.collision_d = 0.38;


exportStruct.doExport = 1;
exportStruct.name     = 'robot_obstacle_2_agents';
exportStruct.timeSlots= [0 1.6 3.3 6.8 9.1 12.8];
exportStruct.doExtra  = [0];
exportStruct.minBox = [1.5 1.5];
exportStruct.plotAxis = 0;
exportStruct.plotTarget = 1;




plotSimulation(CTRLconfig, logCell, figure(1), exportStruct);
