logRootPath = '../';

nRobots = 4;

filename = 'log-2013-04-29_11-55-08.txt';
filename = 'log-2013-04-30_10-17-29.txt';
filename = 'log-2013-05-02_11-15-36.txt';
filename = 'log-2013-05-02_19-47-39.txt';
filename = 'log-2013-05-08_15-37-10.txt';
filename = 'log-2013-05-08_17-28-56.txt';


%% Get data
[data, filename] = getBBLog(filename, [logRootPath '1/']);  % gets the newest from Njord
dataCell = {};
dataCell{1} = data;
dirs = {'W:\', 'V:\', 'U:\'};
for i = 1:3
   dirs{i} = [logRootPath num2str(i+1) '\']; 
end



logCell = {};
parseLog;
logCell{1} = log;

for i = 1:length(dirs) 
    try
        data = getBBLog(filename, dirs{i});
    catch ex
        disp(ex.message);
        continue
    end
    
    % if ok, store
    dataCell{end+1} = data;
    parseLog;
    logCell{end+1} = log;
    
end

%% Do some hackish robot number replacement
newLogCell = logCell;
newLogCell{1} = logCell{2};
newLogCell{2} = logCell{3};
newLogCell{3} = logCell{4};
newLogCell{4} = logCell{1};

%logCell = newLogCell;


%% Plot
figure(1); clf; hold on;
endTime = 10;
time= logCell{1}.get('obs_pos').Values.Time;
timeRange = time<=endTime;

colors = {'g', 'm', 'r', 'b'};
finalHandles = [];
legendStrings = {};

for i = 1:4 
    handles = plot2d(logCell{i}.get('obs_pos').Values, ['--' colors{i}], 1, timeRange);
    finalHandles(i) = handles(2);
    legendStrings{i} = num2str(i);
    
end
legend(finalHandles, legendStrings);
axis equal;
set(gca, 'YDir', 'reverse');

exportPlot(1, 'robot_passivity_formation_full_plot')
