function [ exportPath ] = export( figureNumber, fileName )
%EXPORT Exports a plot to the tex-folder, and into plots
%   Detailed explanation goes here

    % First, check if figureNumber is a handle
    if any(ishandle(figureNumber))
        fig = figureNumber;
    else
        fig = figure(figureNumber);
    end
    
    % Get the correct path
    exportPath = fullfile(getTexPath(), 'plots', fileName);
    
    % Do the export using hgexport
    hgexport(fig, exportPath);

end

