function [ data, theFile ] = getBBLog(filename, directory)
%GETBBLOG Loads logfile. 
%   Detailed explanation goes here
    
    if nargin == 2
        % If filename is empty
        if isempty(filename)
           % Use newest file from selected dir 
           D = directory('Z:\log-*');
            D = D(find(~cellfun(@isempty,{D(:).date})));
            theFile = D(end).name
            
            file = [directory theFile];
        else
            theFile = filename;
            file = [directory filename];
        end
    elseif nargin == 1
        file = ['Z:\' filename];
        theFile = filename;
    else    
        D = dir('Z:\log-*');
        D = D(find(~cellfun(@isempty,{D(:).date})));
        theFile = D(end).name
        
        file = ['Z:\' theFile];
    end
        
    data = dataset('File', file, 'Delimiter', ',');

end

