/*
 * particle_controller.h
 *
 *  Created on: Mar 7, 2013
 *      Author: adamleon
 */

#ifndef PARTICLE_CONTROLLER_H_
#define PARTICLE_CONTROLLER_H_

#include "datapoint.h"

typedef struct {
	float x;
	float y;
	float heading;
} StateMessage;

class ParticleClient {
private:
	DataPoint dataPoint;
public:
	ParticleClient();
	int send(StateMessage msg);
	int get_fd();
	int numberOfMessages();
	~ParticleClient();
};

class ParticleHost {
private:
	DataPoint dataPoint;
public:
	ParticleHost();
	StateMessage receive();
	int get_fd(void);
	int numberOfMessages(void);
	~ParticleHost();
};

#endif /* PARTICLE_CONTROLLER_H_ */
