/*
 * servo.h
 *
 *  Created on: Feb 4, 2013
 *      Author: krisklau
 */

#ifndef SERVO_H_
#define SERVO_H_

enum SERVO_NAME {SERVO_0A, SERVO_0B, SERVO_1A, SERVO_1B};

/*
 *
 */
class Servo {
public:
	Servo(SERVO_NAME servo);
	int init();
	int start();
	int write(double value); // takes a value 0-180;
	int write(int value); // takes a value 0-180;
	int stop();
private:
	int pwm;
	int pwm_ch;
};

#endif /* SERVO_H_ */
