/*
 * timer.h
 *
 *  Created on: Feb 7, 2013
 *      Author: krisklau
 */

#ifndef TIMER_H_
#define TIMER_H_


#ifdef __cplusplus
extern "C" {
#endif


struct periodic_info
{
	int timer_fd;
	unsigned long long wakeups_missed;
};



int make_periodic (unsigned int period_us, struct periodic_info *info);
void wait_period (struct periodic_info *info);


#ifdef __cplusplus
}
#endif


#endif /* TIMER_H_ */
