/*
 * app_test.cpp
 *
 *  Created on: Feb 21, 2013
 *      Author: krisklau
 */




/*
 * This file will be used to test various
 * stuff with the freaking servos.
 */

#include "servo.h"
#include "timer.h"
#include <iostream>

#include <stdlib.h>
#include <unistd.h>
using namespace std;

int main(int argc, char** argv) {

	cout << "Test sequence initiated" << endl;

	// Set up timing interface.
	// - Not needed now.

	// Set up servos.
	Servo a = Servo(SERVO_0A);
	Servo b = Servo(SERVO_0B);
	Servo c = Servo(SERVO_1A);

	// Init
	a.init(); b.init(); c.init();

	// start
	cout << "Initialistation complete. Starting loop." << endl;




	while(1) {
		a.write(90);

		sleep(2);
		if(argc > 1) {
			a.write(90 - atoi(argv[1]));
		}
		sleep(5);
		a.write(90);
		break;

		cout << "loop complete." << endl;


	}

}
