/*
 * commandParser.h
 *
 *  Created on: Apr 30, 2013
 *      Author: krisklau
 */

#ifndef COMMANDPARSER_H_
#define COMMANDPARSER_H_
#include <string>
#include "json/json.h"
#include "Controller.h" // For the structure for formations from matlab
using std::string;

enum COMMAND {COMMAND_NONE, START, STOP, FORMATION, KILL, UPDATE, COMMON_V};


COMMAND getCommand(Json::Value& jmsg);
Formation getFormation(Json::Value& jMsg);
bool getActivateMission(Json::Value& jMsg);




#endif /* COMMANDPARSER_H_ */
