#ifndef __UDP_INTERFACE__
#define __UDP_INTERFACE__

#include <string>



#include <stdio.h>

#ifdef _WIN32
#include <winsock2.h>
#include <ws2tcpip.h>
#endif

using std::string;
using namespace std;




class Comm {
public:
	int init(int port);
	int send(string msg);
	void close();

private:
#ifdef _WIN32
	SOCKET sd;
	sockaddr_in dest;
#else
	// Unix socket here
#endif
	
	int port;
};

#endif