function [ omega ] = Omniwheel_S2omega( OmniwheelModel, Servo )
%OMNIWHEEL_S2OMEGA Summary of this function goes here
%   Detailed explanation goes here

    xdata = OmniwheelModel.full_lookup_servo;
    ydata = OmniwheelModel.full_lookup_omega;
    
    xdata = [0 OmniwheelModel.lookup_servo];
    ydata = [0 OmniwheelModel.lookup_omega];
    
    omega = zeros(size(Servo));
    
    for i = 1:length(Servo)
        omega(i) = sign(Servo(i))*interp1(xdata, ydata, abs(Servo(i)), 'linear', ydata(end));
    end
    
   % omega = interp1(xdata, ydata, Servo);

end

