function [ path ] = getTexPath()
%GETTEXPATH This function returns the full path of the tex-folder
%   Detailed explanation goes here
    
    thisPath = mfilename('fullpath');
    thisPath = fileparts(thisPath);
    
    % now, go backwards, (once to matlab folder, once more for main folder,
    % then into tex-folder
    path = fullfile(thisPath, '../', '../', 'tex', 'mKristian');
    
    % First, check that there actually is a tex-folder here
    
    if ~isdir(path)
        error('Tex-path error, no folder named tex at location %s', path);
    end
end

