%% Just plots some extra stuff to the current figure, from current dataset

% Assumes, D, data, time

data = position.Data;
time = position.Time;

nLinks = size(D, 2);

for link = 1:nLinks
    start=1;
    stop=1;
    
    value = 0;

    for node = 1:N
        if D(node,link) == 1
            stop = node;
            value = value + data(:,stop,end);
        elseif D(node,link) == -1
            start = node;
            value = value - data(:,start,end);
        end
    end

    % Plot line
    
    startPos = data(:,start,end);
    stopPos = data(:,stop,end);
    
    a = line([startPos(1) stopPos(1)], [startPos(2), stopPos(2)]);
    
    set(a, 'LineStyle', '--');
    set(a, 'Color', 0.7*ones(3,1))
    
    linePos = [startPos stopPos];
    % Plot textual line number
   gain = 1;
   if start < stop
       gain = 1;
   end
   
   % Augment linePos to make the start-position for the text more 
   linePos = [startPos startPos linePos];
   
   text(mean(linePos(1,:)), mean(linePos(2,:))+0.1*gain, sprintf('z_%d = [%.1f, %.1f]', link, value(1), value(2)))
    
end