/*
 * imudata.h
 *
 *  Created on: Feb 12, 2013
 *      Author: krisklau
 */

#ifndef IMUDATA_H_
#define IMUDATA_H_

#include "datapoint.h"


typedef struct{
	int data;
} IMU_data_msg;



/*
 *
 */
class IMUDataHost : public DataPointRequestHost {

public:
	IMUDataHost():DataPointRequestHost("/imuData", sizeof(IMU_data_msg), "/imuRequest"){};
	int send_data(IMU_data_msg* msg) { return DataPointRequestHost::send_data((void*) msg);};
};

class IMUDataClient: public DataPointRequestClient {
public:
	IMUDataClient():DataPointRequestClient("/imuData", sizeof(IMU_data_msg), "/imuRequest"){};
	int request(IMU_data_msg* msg) { return DataPointRequestClient::request((void*) msg);};
};

#endif /* IMUDATA_H_ */
