/*
 * message_client.cpp
 *
 *  Created on: Apr 18, 2013
 *      Author: krisklau
 */



#include "message_client.h"

#include <iostream>
using std::cerr;
using std::endl;
using Json::Reader;



string MessageClient::request() {
	// allocate a char array
	char buffer[MESSAGE_SIZE];


	// Send request
	message_request_t rqMsg;
	rqMsg.request = 1;
	int out = DataPointRequestClient::request((void*) buffer, (void*) &rqMsg);

	// Convert result to string, and return
	if(out >= 0) {
		return string(buffer);
	}
	else {
		//cerr << "message_client: Invalid response for request" << endl;
		return string("{\"type\": \"None\"}");
	}

}

Value MessageClient::requestJson() {
// parses an incomming message and returns a json Value
	static Reader reader;
	Value jMsg;
	string sMsg = this->request();

	if(!reader.parse(sMsg, jMsg)) {
		// Return an empty Value
		cerr << "Unable to parse json message" << endl;
		Value out;
		return out;
	}
	return jMsg;
}



