/*
 * robot.h
 *
 *  Created on: Feb 14, 2013
 *      Author: krisklau
 */

#ifndef ROBOT_H_
#define ROBOT_H_


#include "servo.h"

/*
 *
 */

enum ROBOT_MOTORS {RM_A, RM_B, RM_C};

class Robot {
public:
	Robot(): servoA(SERVO_0A), servoB(SERVO_0B), servoC(SERVO_1A) {};
	int init(void);
	int setSpeed(int a, int b, int c);

private:
	Servo servoA;
	Servo servoB;
	Servo servoC;

	int set(ROBOT_MOTORS motor, int value);
	int set(ROBOT_MOTORS motor, float value);

};

#endif /* ROBOT_H_ */
