#include "timer.h"
#include <math.h>
#include "uart_channel.h"
#include "particle_controller.h"
#include "logger.h"
#include "analog_laser.h"
#include "particle.h"

#include <vector>
#include <sstream>
#include <iostream>
#include <errno.h>
#include <string>
#include <sys/fcntl.h>
#include <unistd.h>
#include <stdlib.h>

using namespace std;
int main(int argc, char** argv) {
	AnalogLaser laser(AIN0);

	while(1) {
		int array_size = 25;
		int mes[array_size];
		for(int i = 0; i < array_size; i++) {
			mes[i] = laser.measureDistance();
			usleep(1000);
		}


		int i, j, temp;

		  for (i = (array_size - 1); i > 0; i--)
		  {
		    for (j = 1; j <= i; j++)
		    {
		      if (mes[j-1] > mes[j])
		      {
		        temp = mes[j-1];
		        mes[j-1] = mes[j];
		        mes[j] = temp;
		      }
		    }
		  }
;
		  int m = 0;
		  for(i = 0; i < 5; i++) {
			  m += mes[10 + i];
		  }

		  m /= 5;

		  if(m > 50) m = -1;
		cout << m << endl;

	}

	return 0;
}
