#ifndef __types_h__
#define __types_h__

#include <opencv2/opencv.hpp>
using namespace cv;



// Used as key in the color map
enum COLOR_e {BLUE = 0, RED, GREEN, MAGENTA, CYAN, YELLOW, COLOR_COUNT};


struct Dot {
	Point2f pos;
	bool valid;
	double mass;
	bool found;

	inline Dot operator *(const float &scalar) const {
		Dot out = *this;
		out.pos = this->pos*scalar;
		return out;
	}

};

#endif 
