/* This file will conquer the wierd windows udp sending stuff */



#include <stdio.h>
#include "udp_interface.h"
#include <iostream>
#include <string>
#include <vector>
using std::endl;
using std::cerr;
using std::string;
using std::vector;

using namespace std;


vector<string> allIps;


// WIndows definitions
#if defined(_WIN32)

#pragma comment(lib, "Ws2_32.lib")


void _getErrorString(char* buffer, int size);


int Comm::init(int port) {
	this->port = port;

	/* Windows init stuff */

	// Must be done to init some DLLS
	WSADATA wsaData;

	int iResult;

	// This functions initializes WS2_32.dll
	iResult = WSAStartup(MAKEWORD(2,2), &wsaData);
	// wsaData contains information about the implementation. The makeword part requests version 2.2 of the winsock

	if( iResult != 0) {
		printf("WSAStartup failed: %d\n", iResult);
		return -1;
	}

	//sockaddr_in dest;

	// Create the socket
	this->sd = socket(AF_INET, SOCK_DGRAM, IPPROTO_UDP);

	// Set option to enable broadcast
	int broadcastEnable = 1;
	setsockopt(this->sd, SOL_SOCKET, SO_BROADCAST, (char*)&broadcastEnable, sizeof(int));


	/* Clear out server struct */
	memset((void *)&this->dest, '\0', sizeof(struct sockaddr_in));

	// Set up destination
	dest.sin_family = AF_INET;
	dest.sin_addr.s_addr = inet_addr("129.241.154.115");
	dest.sin_addr.s_addr = INADDR_BROADCAST;
	dest.sin_port = htons(this->port); // Convert to network endian

	return 0;

}

void Comm::close() {
	closesocket(this->sd);
	WSACleanup();

}

int Comm::send(string msg) {
	int iResult = sendto(this->sd, msg.c_str(), msg.size() + 1, 0, (struct sockaddr*) &this->dest, sizeof(struct sockaddr_in));

	if(iResult == -1) {
		char buffer[100];
		_getErrorString(buffer, 100);
		cerr << "Error sending message: " << buffer << endl;
		return -1;
	}

	return 0;
}


void _getErrorString(char* buffer, int size) {
	FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM,
							NULL,
							WSAGetLastError(),
							0,
							buffer, 
							size,NULL);
}


// Ubuntu definition
#else
int Comm::init(int port) {return 0;};
void Comm::close() {};

int Comm::send(string msg) {return 0;};

#endif