#ifndef __webCam_h__
#define __webCam_h__



#include "opencv2/opencv.hpp"
#include "opencv2/highgui/highgui.hpp"

using cv::Mat;
using cv::VideoCapture;

class webCam
{
public:
	webCam();
	bool startVideo();
	bool getVideo(Mat& output);
	bool stopVideo() { return true;};

private:
	VideoCapture cap;


};

extern webCam device;

#endif
